/* =========================
   LANGUAGE SWITCHER
========================= */
html[dir="rtl"] .A,
html[dir="rtl"] .B{
    text-align: right;
    padding-right: 25px;
}

html[dir="ltr"] .A,
html[dir="ltr"] .B{
    text-align: left;
    padding-left: 25px;
}

.language-switcher{
    
    margin-top: 15%;
    position: fixed;

    top: 25px;
    right: 25px;

    z-index: 1001;

    transition: .4s ease;
}

.lang-btn{

    min-width: 120px;
    height: 55px;

    padding: 0 20px;

    border: 1px solid rgba(255,255,255,.2);

    border-radius: 999px;

    cursor: pointer;

    color: white;

    font-size: 16px;

    font-weight: 600;

    letter-spacing: 1px;

    backdrop-filter: blur(15px);

    background:
    rgba(255,255,255,.12);

    box-shadow:
    0 10px 30px rgba(0,0,0,.25);

    transition: .35s;
}

.lang-btn:hover{

    transform:
    translateY(-3px)
    scale(1.03);

    background:
    rgba(184,44,44,.85);

    box-shadow:
    0 15px 35px rgba(184,44,44,.4);
}

.language-switcher.hidden{

    opacity: 0;

    visibility: hidden;

    transform: translateY(-20px);
}

@media (max-width:768px){
    
    .language-switcher{
        margin-top: 1%;
        top: 20px;
        right: 20px;
    }

    .lang-btn{

        min-width: 75px;

        height: 55px;

        padding: 0 15px;

        font-size: 14px;
    }

}



/* RESET */
body.no-scroll {
    overflow: hidden;
    height: 100vh;

}


/* الشريط العلوي */
.one {
    background-color: white;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 15px;
}

/* القائمة الأفقية */
.tow {
    display: block;
    background-color: rgb(184, 44, 44);
}
.sidebar-header{
    display: 1;

}


.menu-items {
    display: flex;
    width: 100%;
}

.menu-items button {
    flex: 1;
    background: none;
    border: none;
    color: white;
    padding: 15px;
    cursor: pointer;
}

.menu-items button:hover {
    background-color: rgb(150, 30, 30);
}

/* نخفي أشياء الموبايل */
.menu-toggle {
    display: none ;
}
.menu-toggle.hide{
    display: none;
}
.overlay {
    display: none;
    opacity: 0;
    transform: scale(0.8);
}


/* الهيدر داخل القائمة */
.sidebar-header {
    display: flex;              /* 👈 السر */
    justify-content: space-between; /* يبعد العناصر */
    align-items: center;
    padding: 20px;
    background: white;
    border-bottom: 1px solid #eee;
}

/* الصورة (اللوجو) */
.sidebar-header img {
    width: 70px;
    height: 70px;
    object-fit: contain;
    border-radius: 12px; /* يعطي لمسة حديثة */
    margin-bottom: 12px;
    background: #f8f8f8; /* لو الصورة فيها فراغات */
    padding: 6px;
}

/* زر التسجيل */
.sidebar-header button {
    background: white;
    border: 1.5px solid black;
    color: black;
    padding: 10px 14px;
    border-radius: 12px;
    cursor: pointer;
    transition: 0.25s;
}

/* Hover محترم */
.sidebar-header button:hover {
    background: black;
    color: white;
    transform: translateY(-1px); /* حركة خفيفة */
}

.menu-toggle.hidden {
    display: none;
}

.empty-state {

    width: 100%;

    text-align: center;

    padding: 100px 20px;

    background:
    rgba(255,255,255,0.1);

    border-radius: 25px;

    backdrop-filter: blur(10px);

    color: white;
}

.filter-toggle {
    display: none;
}

.loading {

    width: 100%;

    text-align: center;

    color: white;

    font-size: 22px;

    padding: 80px 20px;

    font-weight: bold;

    letter-spacing: 1px;
}

@media (max-width: 768px) {

    
    /* زر دائري */
    .menu-toggle {
        display: flex ;
        position: fixed;
        top: 20px;
        left: 20px;
        width: 55px;
        height: 55px;
        border-radius: 50%;
        background-color: rgb(167, 45, 45);
        color: white;
        font-size: 22px;
        border: none;
        z-index: 1001;
        align-items: center;
        justify-content: center;
        transition: 0.3s;

    }

    .menu-toggle.hide {
        display: none;
    }

    /* الخلفية السوداء */
    .overlay {
    position: fixed;
    inset: 0;
    background: rgba(0,0,0,0.5);
    display: none;
    z-index: 999;
    }

    .overlay.show {
    display: block;
    }

    /* القائمة الجانبية */
        
    .tow {
    position: fixed;
    top: 45%;
    left: 50%;
    transform: translate(-50%, -50%) scale(0.8);

    width: 90%;
    max-width: 330px;
    max-height: 80vh;

    background-color: white;
    border-radius: 5px 10px 10px 50px;
    overflow-y: auto;

    opacity: 0;
    pointer-events: none;
    transition: 0.3s ease;
    z-index: 1000;
    }
    .tow::-webkit-scrollbar {
        width: 5px;
    }

    .tow::-webkit-scrollbar-thumb {
        background: #ccc;
        border-radius: 10px;
    }

    .tow.show {
    opacity: 1;
    transform: translate(-50%, -50%) scale(1);
    pointer-events: auto;
    }

    /* الهيدر */
    .sidebar-header {
        flex-direction: column;
        text-align: center;
        padding: 20px;
        background: white;
    }

    .sidebar-header img {
        width: 80px;
        margin-bottom: 10px;
    }

    .sidebar-header button {
        background: white;
        border: 1px solid black; /* 👈 الحواف السوداء */
        padding: 10px;
        border-radius: 10px;
        cursor: pointer;
    }

    /* الأزرار */
    .menu-items {
        display: flex;
        flex-direction: column;
        padding: 15px;
        gap: 10px;
    }

    .menu-items button {
        color: black;
        background: #f5f5f5;
        border-radius: 8px;
        text-align: left;
    }

    /* نخفي النسخة العادية */
    .one {
        display: none;
    }
    
}



.filter-bar {
  display: flex;
  flex-wrap: wrap;
  gap: 10px;
  margin-bottom: 20px;
  background: rgba(255,255,255,0.9);
  padding: 10px;
  border-radius: 0px 0px 5px 5px;
  align-items: center;
}

.filter-bar select,
.filter-bar input {
  padding: 6px 8px;
  border-radius: 5px;
  border: 1px solid #ccc;
}

.filter-bar button {
  padding: 6px 12px;
  border: none;
  width: 100px;
  background-color: #c73737;
  color: white;
  border-radius: 7px;
  cursor: pointer;
}

.filter-bar button:hover {
  background-color: #b11818;
}

@media (max-width: 768px) {
    .filter-bar {

    position: sticky;

    top: 0;

    z-index: 998;

    backdrop-filter: blur(15px);

    background:
    rgba(255,255,255,0.15);

    border:
    1px solid rgba(255,255,255,0.15);

    border-radius: 20px;

    margin: 15px;
}
    
}

.menu-toggle,
.filter-toggle {
    position: fixed;
    top: 20px;
    width: 55px;
    height: 55px;
    border-radius: 50%;
    background-color: rgb(167, 45, 45);
    color: white;
    font-size: 20px;
    border: none;
    z-index: 1001;
    align-items: center;
    justify-content: center;
}

/* زر القائمة */
.menu-toggle {
    left: 20px;
}

.menu-toggle.hide,
.filter-toggle.hide {
    display: none;
}

@media (max-width: 768px) {

    .menu-toggle,
    .filter-toggle {
        position: fixed;
        top: 20px;
        width: 50px;
        height: 50px;
        
    }

    .menu-toggle {
        left: 20px;
    }

    .filter-toggle {
        left: 80px;
    }
}

/* ----------------------------------------------------------------- */
/* ----------------------------------------------------------------- */
* {
    box-sizing: border-box;
    font-family: "Times New Roman", serif;
}

body {
    margin: 0;
    background-image: url("Page-offres.png");
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    background-attachment: fixed;
}

body::before {
    content: "";
    position: fixed;
    inset: 0;
    background: rgba(0,0,0,0.4);
    z-index: -1;
}

body::after {

    content: "";

    position: fixed;

    inset: 0;

    background:

    radial-gradient(
    circle at top right,
    rgba(184,44,44,0.25),
    transparent 30%
    ),

    radial-gradient(
    circle at bottom left,
    rgba(0,123,255,0.18),
    transparent 30%
    );

    z-index: -1;
}



.alal{
        min-height: 100vh;

}
@media(max-width:768px) {

    .alal{
        height:auto;
    }
}
.all{ 

    display: flex;
    margin-top: 50px;
    margin-bottom: 50px;
    margin: 40px ;
    padding: 0 20px;
}




.offers-section {
    padding: 30px 15px;
    width: 100%;
    
}

.offers-section h1 {
    text-align: center;
    margin-bottom: 50px;
}

.offers-grid {

    display: grid;

    grid-template-columns:
    repeat(4, 1fr);

    gap: 28px;

    width: 100%;
}

/* 💻 شاشات متوسطة */
@media (max-width: 1200px) {

    .offers-grid {

        grid-template-columns:
        repeat(3, 1fr);
    }
}

/* 📱 تابلت */
@media (max-width: 900px) {

    .offers-grid {

        grid-template-columns:
        repeat(2, 1fr);
    }
}

/* 📱 جوال */
@media (max-width: 600px) {

    .offers-grid {

        grid-template-columns:
        1fr;

        gap: 22px;
    }
}
.offer-card {
    position: relative;
    background: rgba(255,255,255,0.12);
    backdrop-filter: blur(14px);
    -webkit-backdrop-filter: blur(14px);

    border: 1px solid rgba(255,255,255,0.15);

    border-radius: 28px;

    overflow: hidden;

    transition:
    transform .35s ease,
    box-shadow .35s ease,
    border .35s ease;

    box-shadow:
    0 10px 30px rgba(0,0,0,0.18);

    cursor: pointer;
}

.offer-card:hover {

    transform:
    translateY(-10px)
    scale(1.02);

    box-shadow:
    0 20px 45px rgba(0,0,0,0.28);

    border:
    1px solid rgba(255,255,255,0.28);
}

.offer-card:hover {
    transform: translateY(-8px);
}

.offer-card img {
    width: 100%;
    height: 260px;
    object-fit: cover;

    transition:
    transform .7s ease;
}

.offer-card:hover img {
    transform: scale(1.08);
}

.offer-content {
    padding: 18px;
}

.price {

    color: white;

    font-size: 28px;

    font-weight: 800;

    margin-bottom: 10px;

    letter-spacing: 1px;

    text-shadow:
    0 2px 10px rgba(0,0,0,0.35);
}

.location {

    color: rgba(255,255,255,0.82);

    font-size: 15px;

    margin-bottom: 12px;
}

.details {

    color: rgba(255,255,255,0.88);

    line-height: 1.7;

    font-size: 14px;

    margin-bottom: 18px;
}

.btn {

    display: flex;

    justify-content: center;
    align-items: center;

    height: 52px;

    border-radius: 18px;

    background:
    linear-gradient(
    135deg,
    rgb(184,44,44),
    rgb(120,20,20)
    );

    color: white;

    text-decoration: none;

    font-weight: 700;

    letter-spacing: .5px;

    transition:
    transform .3s ease,
    opacity .3s ease;
}

.btn:hover {

    transform: scale(1.03);

    opacity: .92;
}

@media (max-width: 600px) {
    .offers-section{
        height:auto;
        flex-direction:column;
        
    }
    .offers-section h1{
        font-size:194%;
    }
}


/* --------------------------------------------------------------------- */
/* --------------------------------------------------------------------- */
.height{
    height: auto;
    width: 100%;
    background-color: rgb(184, 44, 44);
    display: flex;
    gap: 3%;
    
}
.imag{
    width: 300px;
    height: 400px;
    margin-top:50px;
    margin-left: 2%;
}
@media (max-width: 600px){
   
    .height{
        flex-direction: column;
        height: auto;
        gap: 0px;
    }
    .imag {
        
        max-width: 250px;
        max-height: 350px;
        margin-left: 15%;
        margin-top: 10px;
    
    }
    
    .A{
        font-size: 15px;
        margin-left: 30px;
    }

    .A a{
        font-size: 19.5px;
    }
    .B{
        margin-left: 30px;
    }
    
    .B h1{
        
        margin-left: 30px;
    }
    .B a{
        
        font-size: 20px;
    }
}

.A{
    margin-top: 25px;
}

.A h1{
    font-family: Times ;
    font-size: 35px;
    margin-bottom: 10%;
    color: white;
}
.A p {
    font-size: 130%;
    line-height: 1.8;      
    margin-bottom: 8px;   
    color: white;
    font-family: Arial, Helvetica, sans-serif;
}
.A a{
    line-height: 1.8;
    color: rgb(255, 255, 255);
}

.B{
    margin-top: 25px;
}
.B h1{
    font-family:'Times New Roman', Times, serif;
    color: aliceblue;
    margin-left: 10px;
    font-size: 30px;
}
.B a{
    font-size: 20px ;
    line-height: 40px;
    margin-left: 10px;
    color:rgb(255, 255, 255);
}

.droits{
    height: 6vh;
    display:flex;
    font-size: 2.5vh;
    flex-direction:column;
    justify-content:center;
  
    background-color: rgb(255, 255, 255);
}
    


.motiver{
    height: 6vh;
    display:flex;
    flex-direction:column;
    justify-content:center;
    align-items: center;
    text-align: center;
    background-color: rgb(184, 44, 44);
}
.motiver p{
    color: aliceblue;
    font-family: 'Times New Roman', Times, serif;
    letter-spacing: 1px;
    font-size: 3vh;
    text-align: center;
}
@media (max-width: 600px) {
    .motiver{
        height: auto;
    }
}
/* ===================== */
/* 📱 MOBILE FIX (≤600px) */
/* ===================== */

@media (max-width: 600px) {

  /* 1️⃣ إلغاء التقسيم الجانبي */
  .all {
    flex-direction: column;
    margin-top: 100px;
  }

  /* 3️⃣ توسيع المحتوى */
  

  /* 4️⃣ إصلاح العرض المكسور */
  .offers-section {
    width: 100%;
    padding: 20px 10px;
  }

  /* 5️⃣ كروت العروض */
  .offers-grid {
    grid-template-columns: 1fr; /* عرض واحد فقط */
    gap: 20px;
  }

  .offer-card img {
        height: 240px;
    }

  .price {
    font-size: 18px;
  }

  .details {
    font-size: 14px;
  }

  /* 6️⃣ العنوان */
  .offers-section h1 {
    font-size: 24px;
    margin-bottom: 30px;
  }


}

/* ============================= */
/* EMPTY STATE */
/* ============================= */

.empty-state{

    width:100%;
    max-width:700px;

    margin:60px auto;

    padding:50px 30px;

    text-align:center;

    background:rgba(255,255,255,0.95);

    border-radius:25px;

    box-shadow:
    0 20px 50px rgba(0,0,0,0.12);

    animation:fadeIn .4s ease;
}

.empty-icon{

    font-size:70px;

    margin-bottom:15px;
}

.empty-state h2{

    color:rgb(184,44,44);

    margin-bottom:20px;

    font-size:32px;
}

.empty-state p{

    color:#555;

    line-height:1.8;

    font-size:18px;
}

.empty-buttons{

    display:flex;

    justify-content:center;

    gap:15px;

    margin-top:30px;

    flex-wrap:wrap;
}

.empty-buttons button{

    border:none;

    cursor:pointer;

    padding:15px 25px;

    border-radius:14px;

    font-size:16px;

    transition:0.3s;
}

.continue-btn{

    background:#b5b5b8;

    color:#111;
}

.continue-btn:hover{

    transform:translateY(-3px);
     box-shadow:
    0 10px 10px rgba(92, 81, 81, 0.671);
}

.budget-btn{

    background:
    linear-gradient(
        135deg,
        rgb(184,44,44),
        rgb(120,20,20)
    );

    color:white;
}

.budget-btn:hover{

    transform:translateY(-3px);

    box-shadow:
    0 10px 10px rgba(184, 44, 44, 0.911);
}

@keyframes fadeIn{

    from{
        opacity:0;
        transform:translateY(25px);
    }

    to{
        opacity:1;
        transform:translateY(0);
    }
}

@media(max-width:768px){

    .empty-state{

        margin:30px 15px;

        padding:35px 20px;
    }

    .empty-state h2{

        font-size:24px;
    }

    .empty-state p{

        font-size:16px;
    }

    .empty-buttons{

        flex-direction:column;
    }

    .empty-buttons button{

        width:100%;
    }
}


.imag{
    display:flex;
    justify-content:center;
    align-items:center;
}
.imag img{
    max-width: 320px;
    height: auto;
    margin: 60px auto;

    display: block;
}
@media (max-width: 600px){

    .imag{
        max-width: 220px;
        margin: 20px auto;
    }
}